<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/guia_producto_orden.php';
$response = array();

if (!isset($_POST['numero_rastreo'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$numero_rastreo = $_POST['numero_rastreo'];

$guia_producto_orden = GuiaProductoOrden::mdlGetGuiaProductoOrdenByNumeroRastreo($numero_rastreo);

if (!$guia_producto_orden) {
    $response['response'] = 'error';
    $response['data'] = 'No se pudo obtener la guia_producto_orden';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $guia_producto_orden;
echo json_encode($response);